#include <chrono>
#include <iostream>
#include <future>

using namespace std;
using namespace std::chrono;

int doJob() {
    this_thread::sleep_for(chrono::seconds(2));
    return 42;
}

int main() {
    future<int> future = async(doJob);
    cout << "Future value obtained in main thread: " << flush;
    cout << future.get() << endl;
    return 0;
}
